<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.test.manual"
   name="Hyades Manual Test"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.test.manual.TestManualPlugin">

   <runtime>
      <library name="manual.runner.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.manual.runner"/>
      </library>
      <library name="manual.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.manual"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.apache.xerces"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.hyades.test.java"/>
      <import plugin="org.eclipse.hyades.execution.remote"/>
      <import plugin="org.eclipse.hyades.execution.harness"/>
      <import plugin="org.eclipse.hyades.execution.core"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.junit"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.typeDescriptions">
      <typeDescription
            name="%W_TST_SUITE"
            type="org.eclipse.hyades.test.manual.testSuite"
            icon="icons/full/obj16/msuite.gif"
            description="%W_TST_SUITE"
            extension="testsuite">
      </typeDescription>
      <typeDescription
            name="%W_TEST"
            type="org.eclipse.hyades.test.manual.testCase"
            icon="icons/full/obj16/instruction.gif"
            description=""
            extension="testcase">
      </typeDescription>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.typeValidators">
      <typeValidator
            type="org.eclipse.hyades.test.manual.testSuite"
            class="org.eclipse.hyades.test.manual.TypeValidator"
            id="org.eclipse.hyades.test.manual.testsuite.typeValidator"
            extension="testsuite">
      </typeValidator>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.newTestCaseWizards">
      <wizard
            name="%W_TEST"
            type="org.eclipse.hyades.test.manual.testCase"
            icon="icons/full/obj16/instruction.gif"
            description="%ACT_TST_CASE_ADD_TIP"
            class="org.eclipse.hyades.test.manual.internal.wizard.ManualTestCaseNewWizard"
            id="org.eclipse.hyades.test.manual.internal.wizard.ManualTestCaseNewWizard">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            name="%W_TST_SUITE"
            icon="icons/full/obj16/msuite.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testSuite"
            class="org.eclipse.hyades.test.manual.internal.wizard.ManualTestSuiteNewWizard"
            id="org.eclipse.hyades.test.manual.internal.wizard.ManualTestSuiteNewWizard">
         <description>
            %WIZ_NEW_GEN_TST_SUITE_DSC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.editorExtensions">
      <editorExtension
            name="%W_TST_SUITE"
            description="%W_TST_SUITE"
            class="org.eclipse.hyades.test.manual.internal.editor.ManualEditorExtension"
            id="org.eclipse.hyades.test.manual.internal.editor.ManualEditorExtension"
            extension="testsuite">
         <appliesTo
               type="org.eclipse.hyades.test.manual.testSuite">
         </appliesTo>
      </editorExtension>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.runWizards">
      <runWizard
            name="%RUN_WTITLE"
            type="org.eclipse.hyades.test.manual.testSuite"
            icon="icons/full/ctool16/run_wiz.gif"
            description="%RUN_WDESC"
            class="org.eclipse.hyades.test.manual.internal.wizard.ManualRunWizard"
            extension="testsuite">
      </runWizard>
   </extension>

</plugin>
